Bug 235976 - VBE drivers don't allow refresh rate changes through xrandr
VBE drivers don't allow refresh rate changes through xrandr
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-11 02:55 EDT by The Source
Modified: 2008-05-06 21:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:28:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xrandr output on nv module (773 bytes, text/plain)
2007-04-13 00:52 EDT, The Source
no flags Details
xorg.conf for nv module (2.18 KB, text/plain)
2007-04-13 00:52 EDT, The Source
no flags Details
Xorg log file for nv (45.07 KB, text/plain)
2007-04-13 00:54 EDT, The Source
no flags Details
xrandr output for work PC (352 bytes, text/plain)
2007-04-17 07:32 EDT, The Source
no flags Details
xorg.conf for work PC (1002 bytes, text/plain)
2007-04-17 07:33 EDT, The Source
no flags Details
xorg log for work PC (52.98 KB, text/plain)
2007-04-17 07:34 EDT, The Source
no flags Details

  None (edit)
Description The Source 2007-04-11 02:55:57 EDT
Description of problem:
It shows either only one refresh rate of all (maximum one) or improper values at
all. On my work machine it shows only 75 Hz. On my home machine it shows strange
values 56,57,58,59. 59 is really 75 (as reported by monitor and by nvidia-settings)

Version-Release number of selected component (if applicable):
2.6.3-11.fc6

How reproducible:
always with LCD

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Bastien Nocera 2007-04-11 05:19:53 EDT
What's the output of xrandr -q on your system?
Comment 2 The Source 2007-04-11 05:46:20 EDT
Here you go:
 SZ:    Pixels          Physical       Refresh
*0   1280 x 1024   ( 382mm x 302mm )  *75  
 1   1024 x 768    ( 382mm x 302mm )   75  
 2    800 x 600    ( 382mm x 302mm )   75  
 3    640 x 480    ( 382mm x 302mm )   75  
Current rotation - normal
Current reflection - none
Rotations possible - normal left inverted right 
Reflections possible - none

Only one refresh rate is shown. This is from my work machine. I'll check my home
one later
Comment 3 Bastien Nocera 2007-04-11 07:24:22 EDT
Still waiting for the results on the machine where it's a problem.
Comment 4 The Source 2007-04-11 11:16:24 EDT
Here's output for my home PC (monitor is connected via DVI)
 SZ:    Pixels          Physical       Refresh
*0   1280 x 1024   ( 342mm x 270mm )  *50   51   58   59  
 1   1280 x 960    ( 342mm x 253mm )   52  
 2   1280 x 800    ( 342mm x 211mm )   53   60   61  
 3   1152 x 864    ( 308mm x 228mm )   54   68   69   70  
 4   1024 x 768    ( 273mm x 203mm )   55   71   72  
 5    800 x 600    ( 213mm x 158mm )   56   81   82   83   84   85  
 6    640 x 480    ( 171mm x 126mm )   57   90   91   92  
 7   1280 x 768    ( 342mm x 203mm )   62   63   64  
 8   1280 x 720    ( 342mm x 190mm )   65   66   67  
 9    960 x 600    ( 256mm x 158mm )   73  
 10   960 x 540    ( 256mm x 142mm )   74   75  
 11   896 x 672    ( 239mm x 177mm )   76  
 12   840 x 525    ( 224mm x 138mm )   77   78   79  
 13   832 x 624    ( 222mm x 165mm )   80  
 14   800 x 512    ( 213mm x 135mm )   86  
 15   720 x 450    ( 192mm x 119mm )   87  
 16   640 x 512    ( 171mm x 135mm )   88   89  
 17   640 x 400    ( 171mm x 105mm )   93   94   95  
 18   640 x 384    ( 171mm x 101mm )   96   97   98  
 19   640 x 360    ( 171mm x  95mm )   99   100  101 
 20   640 x 350    ( 171mm x  92mm )   102 
 21   576 x 432    ( 154mm x 114mm )   103  104  105  106 
 22   512 x 384    ( 136mm x 101mm )   107  108  109 
 23   416 x 312    ( 111mm x  82mm )   110 
 24   400 x 300    ( 106mm x  79mm )   111  112  113  114 
 25   320 x 240    (  85mm x  63mm )   115  116  117 
Current rotation - normal
Current reflection - none
Rotations possible - normal 
Reflections possible - none

Rafresh rates are bogus
Comment 5 Bastien Nocera 2007-04-11 11:26:36 EDT
It's a problem with xrandr itself, not with the gnome-display-properties.
Comment 6 Ray Strode [halfline] 2007-04-11 12:45:43 EDT
Do you use the nv driver, or the binary proprietary driver?
Comment 7 The Source 2007-04-11 13:41:51 EDT
On work machine I use driver for intel motherboard video. On home PC I use
nvidia module version 97.55 (downloaded from www.nvidia.com)
Comment 8 Matěj Cepl 2007-04-12 05:37:00 EDT
OK, could we split this into two bugs, please, one for each system? Thanks. Note
also, that we don't support drivers from nvidia.com, i.e., if you want us to
work on this problem, you have to reproduce it with open source nv driver.

So, please, file a new bug for one of these two systems, and try to reproduce
the problem with open source driver on your home machine. Also, could you please
attach to BOTH bugs uncompressed separate attachments of /var/log/Xorg.*.log and
/etc/X11/xorg.conf?

Thanks a lot,

Matej Cepl
Comment 9 The Source 2007-04-13 00:50:07 EDT
Attaching home files. Looks like it was incompatibility with nvidia after all.
Comment 10 The Source 2007-04-13 00:52:00 EDT
Created attachment 152514 [details]
xrandr output on nv module
Comment 11 The Source 2007-04-13 00:52:43 EDT
Created attachment 152515 [details]
xorg.conf for nv module
Comment 12 The Source 2007-04-13 00:54:54 EDT
Created attachment 152516 [details]
Xorg log file for nv
Comment 13 The Source 2007-04-13 00:56:01 EDT
As for my work machine - please wait until Monday
Comment 14 Matěj Cepl 2007-04-16 09:09:32 EDT
Thanks for the logs, but I have hard time to understand what exactly does it
mean?  Do you want to say that nv driver displays the values correctly, i.e.,
that there is no bug there? Of course, nv driver doesn't support all the
capabilities of nVidia chips, but is it broken? Is there any bug here at all?
Comment 15 The Source 2007-04-16 11:35:29 EDT
No. There is no bug with nv driver. I contacted nvidia and they said that improper 
xrandr behavior with their driver is expected. This problem is connected to
TwinView capabilities. But there is definitely a bug with intel video driver.
I'll attach logs and configs from my work PC tomorrow.
Comment 16 Matěj Cepl 2007-04-16 11:43:38 EDT
OK, so looking forward to your logs.
Comment 17 The Source 2007-04-17 07:32:11 EDT
Created attachment 152780 [details]
xrandr output for work PC
Comment 18 The Source 2007-04-17 07:33:31 EDT
Created attachment 152781 [details]
xorg.conf for work PC
Comment 19 The Source 2007-04-17 07:34:38 EDT
Created attachment 152782 [details]
xorg log for work PC
Comment 20 The Source 2007-04-17 11:19:00 EDT
Here you go
Comment 21 Adam Jackson 2007-05-08 15:23:20 EDT
This is actually expected.  The i810 driver only picks one refresh rate per
size, due to VBE being so utterly broken.  It's not _good_, certainly, but it's
expected.

In F7 and later the intel driver will probably give you what you want.
Comment 22 Adam Jackson 2007-07-09 15:52:58 EDT
Updating summary to reflect what this bug is actually about.
Comment 23 Bug Zapper 2008-04-03 20:02:24 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 24 Bug Zapper 2008-05-06 21:28:00 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.